Confirm trade quote Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.lumetrade.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lumetrade API MCP server": {
    "url": "https://docs.lumetrade.com/mcp"
  }
}

Close
POST /api/v1/trades/quote/confirm

Confirms a previously issued RFQ quote for the authenticated API key owner.

application/json

Body Required

  • amount number Required

    Send amount from the quote response. Use fromAmount when amountMode is quote.

  • fromCurrency string

    Currency sent in the quoted trade.

    Minimum length is 1.

  • quoteStr string

    Confirmable quote string returned by /api/v1/trades/quote.

    Minimum length is 1.

  • toCurrency string

    Currency received in the quoted trade.

    Minimum length is 1.

Responses

  • 200 application/json

    Quote confirmed successfully

    Hide response attributes Show response attributes object
    • tradeNo string

      Created trade transaction id.

    • fillNo string

      Created fill transaction id.

    • completed boolean

      Whether the RFQ trade completed.

  • 400 application/json

    Quote confirmation validation failed

    Hide response attributes Show response attributes object
    • tradeNo string

      Created trade transaction id.

    • fillNo string

      Created fill transaction id.

    • completed boolean

      Whether the RFQ trade completed.

POST /api/v1/trades/quote/confirm
curl \
 --request POST 'https://api.lumetrade.com/api/v1/trades/quote/confirm' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-API-SECRET: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"amount":100,"fromCurrency":"USDT","quoteStr":"rfq_quote_7K9Q2M","toCurrency":"ZAR"}'
Request examples
{
  "amount": 100,
  "fromCurrency": "USDT",
  "quoteStr": "rfq_quote_7K9Q2M",
  "toCurrency": "ZAR"
}
Response examples (200)
{
  "tradeNo": "TID4J7K2N",
  "fillNo": "FIL_2N8K4Q",
  "completed": true
}
Response examples (400)
{
  "tradeNo": "TID4J7K2N",
  "fillNo": "FIL_2N8K4Q",
  "completed": true
}